@use '../../../global/styles-variables' as *;
@use '../../../global/utilities' as *;

:host {
  $base: '.digi-docs-rorligt-ljud-example';
  $example-breakpoint: 1080px;
  --BORDER-COLOR: transparent;
  display: block;
  //max-width: rem(400);

  &#{$base}--good {
    --BORDER-COLOR: var(--digi--color--border--tertiary);
  }

  &#{$base}--bad {
    --BORDER-COLOR: var(--digi--color--background--complementary-2);
  }

  @media screen and (min-width: $example-breakpoint) {
    display: contents;
  }

  @media screen and (max-width: $digi--breakpoint--small-below) {
    max-width: 100%;
  }

  #{$base} {
    &__icon {
      position: absolute;
      top: 0;
      right: var(--digi--global--spacing--smaller);
      width: rem(61);
      height: rem(51);
      transform: translateY(-50%);
    }

    &__content {
      position: relative;
      display: grid;
      box-sizing: border-box;
      max-width: rem(800);
      border: var(--digi--border-width--secondary) solid var(--BORDER-COLOR);
      padding: var(--digi--global--spacing--largest-5)
        var(--digi--global--spacing--largest-4);
    }

    &__footer {
      display: grid;
      grid-row: 2 / 3;
      margin-top: var(--digi--padding--smaller);
      font-size: var(--digi--typography--body--font-size--desktop);
    }
  }
}
